TinyXml: TiXmlDeclaration Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TiXmlDeclaration Class Reference

In correct XML the declaration is the first entry in the file. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlDeclaration:

List of all members.

## Public Member Functions
| TiXmlDeclaration ()
| Construct an empty declaration.
| TiXmlDeclaration (const std::string &_version, const std::string &_encoding, const std::string &_standalone)
| Constructor.
| TiXmlDeclaration (const char *_version, const char *_encoding, const char *_standalone)
| Construct.
const char * | Version () const
| Version. Will return an empty string if none was found.
const char * | Encoding () const
| Encoding. Will return an empty string if none was found.
const char * | Standalone () const
| Is this a standalone document?
virtual TiXmlNode * | Clone () const
| Creates a copy of this Declaration and returns it.
virtual void | Print (FILE *cfile, int depth) const
| All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.
virtual const TiXmlDeclaration * | ToDeclaration () const
| Cast to a more defined type. Will return null not of the requested type.
virtual TiXmlDeclaration * | ToDeclaration ()
| Cast to a more defined type. Will return null not of the requested type.
virtual bool | Accept (TiXmlVisitor *visitor) const
| Walk the XML tree visiting this node and all of its children.

## Detailed Description

In correct XML the declaration is the first entry in the file.

    		<?xml version="1.0" standalone="yes"?>

TinyXml will happily read or write files without a declaration, however. There are 3 possible attributes to the declaration: version, encoding, and standalone.

Note: In this version of the code, the attributes are handled as special cases, not generic attributes, simply because there can only be at most 3 and they are always the same.

## Member Function Documentation

virtual void TiXmlDeclaration::Print | ( | FILE * | cfile,
|  | int | depth |
| ) |  |  | const`[inline, virtual]`

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.

) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

The documentation for this class was generated from the following file:

- tinyxml.h